Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lbg.peer.core.negotiator
Class SimulatedNegotiatorController

    java.lang.Object
      lbg.peer.core.negotiator.NegotiatorController
          lbg.peer.core.negotiator.SimulatedNegotiatorController

    public class SimulatedNegotiatorController

extends NegotiatorController

Author:
  Cyril Briquet

Constructor Summary
`SimulatedNegotiatorController(Peer managed_peer, EnvironmentController env_ctrlr, java.lang.String PEER_BASE_NAME)`

Method Summary
`void` | `awakeNegotiator()`
`java.lang.String` | `toString()`

Methods inherited from class lbg.peer.core.negotiator.NegotiatorController
`activateSupplyingRequestsEvaluation, activateSupplyingRequestsGeneration, couldNegotiate, getAndResetControlFlags`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SimulatedNegotiatorController

    public SimulatedNegotiatorController(Peer managed_peer,
                                         EnvironmentController env_ctrlr,
                                         java.lang.String PEER_BASE_NAME)
                                  throws GridException

Throws:
  `GridException`

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `NegotiatorController`

### awakeNegotiator

    public void awakeNegotiator()
                         throws GridException

  Specified by:
    `awakeNegotiator` in class `NegotiatorController`
  Throws:
    `GridException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

> Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem.